### Name: boat3d
### Title: Draw boat glyphs for orientation data
### Aliases: boat3d
### Keywords: hplot dynamic

### ** Examples

x <- eulerzyx(psi=c(0,pi/4,0,0), theta=c(0,0,pi/4,0), phi=c(0,0,0,pi/4))

# Need to test for existence of 3D renderer

if (length(.find.package('djmrgl', quiet = TRUE))) {
    boat3d(x, 0:3, axes = FALSE)
    axis3d('yz',at=0:3,labels=c('Id','z','y','x'))
} else if (length(.find.package('rgl', quiet = TRUE))) {
    boat3d(x, 0:3, axes = FALSE, graphics = 'rgl')
    rgl.bbox(xat=0:3,xlab=c('Id','z','y','x'),yat=1,zat=1,color='grey')  
}
if (length(.find.package('scatterplot3d', quiet = TRUE))) {
    s <- boat3d(x, 0:3, axes = FALSE, graphics = 'scatterplot3d')
    text(s$xyz.convert(0:3, rep(-0.5,4), rep(-0.5,4)), 
         label = c('Id','z','y','x'))
}



